import { axios } from '@/utils/request'

const api = {
  meetingReservation: '/admin/mr'
}

export function getMeetingReservationList(parameter) {
  return axios({
    url: api.meetingReservation + '/list?pageNum=' + parameter.pageNum + '&pageSize=' + parameter.pageSize,
    method: 'post',
    data: parameter
  })
}

export function getAllRoom(parameter) {
  return axios({
    url: api.meetingReservation + '/getAllRoom',
    method: 'post',
    data: parameter
  })
}

export function saveMeetingReservation(parameter) {
  let act = parameter.mr.id == '' ? '/booking' : '/update'
  return axios({
    url: api.meetingReservation + act,
    method: 'post',
    data: parameter
  })
}

export function delMeetingReservation(parameter) {
  return axios({
    url: api.meetingReservation + '/remove',
    method: 'post',
    params: parameter
  })
}

/**
 * 单位认证
 * @param parameter
 * @returns {AxiosPromise}
 */
export function depLogin(parameter) {
  return axios({
    url: api.meetingReservation + '/login',
    method: 'post',
    data: parameter
  })
}

/**
 * 会议室详情
 * @param parameter
 * @returns {AxiosPromise}
 */
export function meetingRoomDetail(parameter) {
  return axios({
    url: api.meetingReservation + '/roomMrs',
    method: 'post',
    data: parameter
  })
}

/**
 * 获取单位列表
 * @returns {AxiosPromise}
 */
export function getDep() {
  return axios({
    url: api.meetingReservation + '/getOrg',
    method: 'post'
  })
}


// 会议室-取消预约
export function cancelOrder(parameter) {
  parameter.operate = 'CANCEL'
  return axios({
    // url: '/api/roomContent/cancelOrder',
    url: api.meetingReservation + '/handle',
    method: 'post',
    data: parameter
  })
}

// 会议室-删除预约
export function approveOrderDel(parameter) {
  return axios({
    // url: '/api/roomContent/cancelOrder',
    url: api.meetingReservation + '/delete',
    method: 'post',
    data: parameter
  })
}

// 获取预约信息
export function getOrderInfo(parameter) {
  return axios({
    url: api.meetingReservation + '/getInfo',
    method: 'post',
    data: parameter
  })
}

// 提前占用会议室
export function useRoom(parameter) {
  return axios({
    url: api.meetingReservation + '/beforehand',
    method: 'post',
    data: parameter
  })
}

// 会议室-取消预约
export function approveOrder(parameter) {
  return axios({
    // url: '/api/roomContent/cancelOrder',
    url: api.meetingReservation + '/handle',
    method: 'post',
    data: parameter
  })
}

// 获取会务人员
export function getStaff() {
  return axios({
    // url: '/api/roomContent/cancelOrder',
    url: api.meetingReservation + '/getWaiter',
    method: 'post'
  })
}

// 分配会务
export function addStaff(parameter) {
  return axios({
    // url: '/api/roomContent/cancelOrder',
    url: api.meetingReservation + '/addWaiter',
    method: 'post',
    data: parameter
  })
}

//  按天导出会议室预约记录列表
export function expMRByDate(parameter){
  return axios({
    // url: '/api/roomContent/cancelOrder',
    url: api.meetingReservation + '/io/exportDayMR',
    method: 'post',
    params: parameter,
    responseType: 'blob'
  })
}
// 按月导出会议室预约记录
export function expMRByMonth(parameter){
  return axios({
    // url: '/api/roomContent/cancelOrder',
    url: api.meetingReservation + '/io/exportMonthMR',
    method: 'post',
    params: parameter,
    responseType: 'blob'
  })
}

export const meetingReservationExport = api.meetingReservation + '/export'
